SDL Library Documentation
Prev |  | Next

# SDL_MixAudio

## Name

SDL_MixAudio -- Mix audio data

## Synopsis

    #include "SDL.h"

``void SDL_MixAudio`(Uint8 *dst, Uint8 *src, Uint32 len, int volume);`

## Description

This function takes two audio buffers of `len` bytes each of the playing audio format and mixes them, performing addition, volume adjustment, and overflow clipping. The `volume` ranges from 0 to `SDL_MIX_MAXVOLUME` and should be set to the maximum value for full audio volume. Note this does not change hardware volume. This is provided for convenience -- you can mix your own audio data.

## See Also

`SDL_OpenAudio`

Prev | Home | Next
SDL_ConvertAudio | Up | SDL_LockAudio